This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1015758 - SELinux is preventing /home/mikhail/.local/share/Steam/SteamApps/common/dota 2 beta/dota_linux from using the 'execheap' accesses on a process.
SELinux is preventing /home/mikhail/.local/share/Steam/SteamApps/common/dota ...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:2965a1f7cfd51103b0a7557b55a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-05 03:15 EDT by Mikhail
Modified: 2013-10-07 09:24 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-07 09:24:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikhail 2013-10-05 03:15:18 EDT
Description of problem:
SELinux is preventing /home/mikhail/.local/share/Steam/SteamApps/common/dota 2 beta/dota_linux from using the 'execheap' accesses on a process.

*****  Plugin allow_execheap (53.1 confidence) suggests   ********************

If you do not think /home/mikhail/.local/share/Steam/SteamApps/common/dota 2 beta/dota_linux should need to map heap memory that is both writable and executable.
Then you need to report a bug. This is a potentially dangerous access.
Do
contact your security administrator and report this issue.

*****  Plugin catchall_boolean (42.6 confidence) suggests   ******************

If you want to allow selinuxuser to execheap
Then you must tell SELinux about this by enabling the 'selinuxuser_execheap' boolean.
You can read 'None' man page for more details.
Do
setsebool -P selinuxuser_execheap 1

*****  Plugin catchall (5.76 confidence) suggests   **************************

If you believe that dota_linux should be allowed execheap access on processes labeled unconfined_t by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep dota_linux /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
                              023
Target Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
                              023
Target Objects                 [ process ]
Source                        dota_linux
Source Path                   /home/mikhail/.local/share/Steam/SteamApps/common/
                              dota 2 beta/dota_linux
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-84.fc20.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.11.3-301.fc20.x86_64 #1 SMP Thu
                              Oct 3 00:57:21 UTC 2013 x86_64 x86_64
Alert Count                   2
First Seen                    2013-10-05 13:12:05 YEKT
Last Seen                     2013-10-05 13:14:10 YEKT
Local ID                      0f2bc8ec-dd6f-4bb4-a7e1-38001b481de4

Raw Audit Messages
type=AVC msg=audit(1380957250.495:508): avc:  denied  { execheap } for  pid=5615 comm="hl2_linux" scontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tclass=process


type=SYSCALL msg=audit(1380957250.495:508): arch=i386 syscall=capget success=no exit=EACCES a0=8a41000 a1=c000 a2=7 a3=ffd6516c items=0 ppid=5612 pid=5615 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 ses=1 tty=pts2 comm=hl2_linux exe=/home/mikhail/.local/share/Steam/SteamApps/common/Portal/hl2_linux subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 key=(null)

Hash: dota_linux,unconfined_t,unconfined_t,process,execheap

Additional info:
reporter:       libreport-2.1.7
hashmarkername: setroubleshoot
kernel:         3.11.3-301.fc20.x86_64
type:           libreport

Potential duplicate: bug 995823
Comment 1 Daniel Walsh 2013-10-07 09:24:56 EDT
*****  Plugin allow_execheap (53.1 confidence) suggests   ********************

If you do not think /home/mikhail/.local/share/Steam/SteamApps/common/dota 2 beta/dota_linux should need to map heap memory that is both writable and executable.
Then you need to report a bug. This is a potentially dangerous access.
Do
contact your security administrator and report this issue.

*****  Plugin catchall_boolean (42.6 confidence) suggests   ******************

If you want to allow selinuxuser to execheap
Then you must tell SELinux about this by enabling the 'selinuxuser_execheap' boolean.
You can read 'None' man page for more details.
Do
setsebool -P selinuxuser_execheap 1


The alert told you what to do.  Basically games do some nasty stuff but if you want to play them you need to turn off the SELinux controls.

# setsebool -P selinuxuser_execheap 1

Note You need to log in before you can comment on or make changes to this bug.